module PersonalHonor
  class Engine < ::Rails::Engine
   initializer "personal_honor" do
		OrbitApp.registration "PersonalHonor",:type=> 'ModuleApp' do
			module_label 'module_name.honors'
			base_url File.expand_path File.dirname(__FILE__)
			personal_plugin :enable => true, :sort_number => '35', :app_name=>"Honor", :intro_app_name=>"HonorIntro",:path=>"/plugin/personal_honor/profile",:front_path=>"/profile",:admin_path=>"/admin/honors/",:i18n=>'module_name.honors', :module_app_name=>'Honor', :one_line_title => false, :field_modifiable => true, :analysis => true, :analysis_path => "/admin/honors/analysis"

			version "0.1"
			desktop_enabled true
			organization "Rulingcom"
			author "RD dep"
			intro "I am intro"
			update_info 'some update_info'
			frontend_enabled
			icon_class_no_sidebar "icons-user"
			data_count 1..10
		end
	end
  end
end
